Skip to navigation

Get WarehouseCustomView by ID

Beta
Get a single WarehouseCustomView by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

warehouse_custom_view_idstringRequired
ID of the WarehouseCustomView.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstring or nullOptional
creatorobjectOptional
descriptionstringOptional
existsInWarehousebooleanOptional
idstringOptional
modifiedAtstring or nullOptional
namestringOptional
viewQuerystringOptional

Errors

400
Warehouse Custom View Get Request Bad Request Error
403
Warehouse Custom View Get Request Forbidden Error
404
Warehouse Custom View Get Request Not Found Error
429
Warehouse Custom View Get Request Too Many Requests Error
500
Warehouse Custom View Get Request Internal Server Error